package com.mortals.xhx.module.setup.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.setup.model.SetupProjectEntity;
import com.mortals.xhx.module.setup.dao.SetupProjectDao;
import org.springframework.web.multipart.MultipartFile;

/**
* SetupProjectService
*
* 项目工程信息 service接口
*
* @author zxfei
* @date 2024-10-21
*/
public interface SetupProjectService extends ICRUDService<SetupProjectEntity,Long>{

    SetupProjectDao getDao();

    Rest<String> distribute(SetupProjectEntity setupProjectEntity, Context context);

    Rest<String> distributeInit(SetupProjectEntity setupProjectEntity, Context context);

    Rest<String> appDeploy(SetupProjectEntity setupProjectEntity, Context context);


    Rest<String> unProjectZip(MultipartFile file, Context context);

}